DutchTreat/Controllers/AppController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using DutchTreat.Data;
using DutchTreat.Services;
using DutchTreat.ViewModels;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;

namespace DutchTreat.Controllers
{
    public class AppController : Controller
    {
        private readonly IMailService _mailService;
        private readonly IDutchRepository _repository;

        public AppController(IMailService mailService, IDutchRepository repository)
        {
            _mailService = mailService;
            _repository = repository;
        }

        public IActionResult Index()
        {
            //throw new InvalidOperationException("Bad things happen");
            return View();
        }

        [HttpGet("contact")]
        public IActionResult contact()
        {
            return View();
        }

        [HttpPost("contact")]
        public IActionResult contact(ContactViewModel model)
        {
            if (ModelState.IsValid)
            {
                // Send the email
                _mailService.SendMessage("shawn@wildermuth.com", model.Subject, $"From: {model.Name} - {model.Email}, Message: {model.Message}");
                ViewBag.UserMessage = "Mail Sent";
                ModelState.Clear();
            }
            else
            {
                // Show the errors
            }

            return View();
        }

        public IActionResult about()
        {
            ViewBag.Title = "About Us";

            return View();
        }

        [Authorize]
        public IActionResult Shop()
        {
            //var results = _context.Products
            //    .OrderBy(p => p.Category)
            //    .ToList();

            //var results = from p in _context.Products
            //              orderby p.Category
            //              select p;

            var results = _repository.GetAllProducts();

            return View(results);
        }
    }
}

DutchTreat/Views/Shared/_Layout.cshtml
@{
    ViewData["Title"] = "index";
    ViewBag.Title = "Home Page";
}

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <title>Dutch Treat: @ViewBag.Title</title>
    <link href="~/lib/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet" />
    <link href="~/css/site.css" rel="stylesheet" />
    <link href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet" integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN" crossorigin="anonymous">
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <a class="navbar-brand" href="#"><i class="fa fa-paint-brush"></i>Navbar</a>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item">
                    <a class="nav-link" asp-controller="App" asp-action="Index">Index</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" asp-controller="App" asp-action="Contact">Contact Us</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" asp-controller="App" asp-action="About">About Us</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" asp-controller="App" asp-action="Shop">Shop</a>
                </li>
                @if (User.Identity.IsAuthenticated)
                {
                <li class="nav-item">
                    <a class="nav-link" asp-controller="Account" asp-action="Logout">Logout</a>
                </li>
                } else
                {
                <li class="nav-item">
                    <a class="nav-link" asp-controller="Account" asp-action="Login">Login</a>
                </li>
                }
            </ul>
        </div>
    </nav>

    <section class="container">
        <h2>@ViewBag.Title</h2>
        @RenderBody()
    </section>
    <footer class="container">
        <div class="text-center">Copyright 2019 Dutch Treat</div>
    </footer>

    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.min.js"></script>
    <script src="~/js/index.js"></script>
    @RenderSection("scripts", false)
</body>
</html>